#
# spec file for package python-tcolorpy
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-tcolorpy
Version:        0.1.2
Release:        1.5
Summary:        Python library to apply true color for terminal text
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/thombashi/tcolorpy
Source:         https://files.pythonhosted.org/packages/source/t/tcolorpy/tcolorpy-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python library to apply true color for terminal text.

%prep
%setup -q -n tcolorpy-%{version}
sed -i -e '1{/^#!\/usr\/bin\/env python/d}' tcolorpy/__main__.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/tcolorpy*

%changelog
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.1.2
  * Use extras in tox instead of self-referencing the package in deps by @hroncok in #1
  * Removed shebang from main.py by @hegjon in #3
* Fri Aug 20 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.1.0
  * Add hsv property to Color class
  * Drop support for Python 3.5
* Fri Apr 23 2021 Matej Cepl <mcepl@suse.com>
- Remove unnecessary shebang
* Sat Mar  6 2021 Martin Hauke <mardnh@gmx.de>
- Package cleanup
* Wed Oct  7 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.0.8
